RF3.3 + GlyphOrderandAliasDB + TrueType



  • I’ve been working in RF Version 3.3 (build 1911061105) and I’m running into a problem generating TrueType fonts with a GlyphOrderandAliasDB file.

    When I try to generate a TrueType font RF3.3 builds an empty (zero bytes) TrueType file, and gives an error about the glyph: uni0122 (Error message below).

    uni0122 is Gcommaaccent, one of the production names that changes in the GOADB file.

    Some other things:

    • RF 3.3 will generate the same file as an OTF with no errors.
    • RF Version 3.0 generates a TTF correctly.
    • If I remove the glyphOrderAndAliasDB from the font lib, RF3.3 will build a correct TTF.
    makeotf Report
    
    makeotf [Note] setting the USE_TYPO_METRICS OS/2 fsSelection bit 7 from fontinfo keyword.
    makeotf [Note] setting the WEIGHT_WIDTH_SLOPE_ONLY OS/2 fsSelection bit 8 from fontinfo keyword.
    makeotf [Note] setting the OBLIQUE OS/2 fsSelection bit 9 from fontinfo keyword.
    Built release mode font 'Font TEST-Black.ttf' Revision 1.005
    
    makeotf.py:2594: ResourceWarning: unclosed file <_io.BufferedReader name=180>
    
    Could not write loca, OS/2, cmap, name, GSUB, GPOS, GDEF tables in font. 
    
    Traceback (most recent call last):
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 114, in compile
    KeyError: 6796448704
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 752, in compile
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 752, in <listcomp>
    KeyError: 'uni0122'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 756, in compile
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 756, in <listcomp>
    KeyError: 'uni0122'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 762, in compile
    KeyError: 'uni0122'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/tables/_c_m_a_p.py", line 768, in compile
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/ttFont.py", line 601, in getGlyphID
    KeyError: 'uni0122'
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontCompiler/ttfCompiler.py", line 624, in _makefont
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/ttFont.py", line 172, in save
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/ttFont.py", line 211, in _save
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/ttFont.py", line 632, in _writeTable
      File "/Applications/fonttools/RoboFont.app/Contents/Resources/lib/python3.7/fontTools/ttLib/ttFont.py", line 650, in getTableData
    KeyError: 'uni0122'
    

  • admin

    Ow nasty, fixed in the developer version. A beta will follow shortly!


  • admin



  • Cool. Thank you for fixing this, and thank you for the explanation.


Log in to reply